public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/easy-thumbnails/
Date: Mon, 23 Nov 2020 17:05:19 +0000 (UTC)	[thread overview]
Message-ID: <1606151113.e64d16c9b24338c3213f9d55365ed6d46f5584fa.mgorny@gentoo> (raw)

commit:     e64d16c9b24338c3213f9d55365ed6d46f5584fa
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 23 16:37:46 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Nov 23 17:05:13 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e64d16c9

dev-python/easy-thumbnails: Bump to 2.7.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/easy-thumbnails/Manifest                |  1 +
 .../easy-thumbnails/easy-thumbnails-2.7.1.ebuild   | 36 ++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/dev-python/easy-thumbnails/Manifest b/dev-python/easy-thumbnails/Manifest
index 2a8c9562dec..4247d422df0 100644
--- a/dev-python/easy-thumbnails/Manifest
+++ b/dev-python/easy-thumbnails/Manifest
@@ -1 +1,2 @@
+DIST easy-thumbnails-2.7.1.tar.gz 72763 BLAKE2B 6d62086840114c6a5bd23aef72a884c19825f68423039cc5a8dc630d2d68556212a236100a9c3c302be98d0868e594b545132fae6069ce26d094d5b5b1110284 SHA512 9ee9a0f1bc1fc49eba164dd226b1be3dd4a416a542e3f3ed385e0606d0a776c2217719ffda1e7d342269059f5fbfbb4cdcfd77de2e7a27fbe950628f8bb34d06
 DIST easy-thumbnails-2.7.tar.gz 66841 BLAKE2B e46d65fadb2aed17d6f3808916033b14b7c7ce5387afd8058fa623d9bfde6dc91de16703773a5a015ad3c4d3aa6020fe3d9bfbd3e3a38593877ffd03101d8d3c SHA512 614ed1e7f7cffa3e78fa75b43c14b014244439decf9f192814a5871b06caab4cf92ce6e35aa3a363b56480eef9490872a0b28f217f9293ad7b11d7499e49e3fa

diff --git a/dev-python/easy-thumbnails/easy-thumbnails-2.7.1.ebuild b/dev-python/easy-thumbnails/easy-thumbnails-2.7.1.ebuild
new file mode 100644
index 00000000000..70cd5e58e41
--- /dev/null
+++ b/dev-python/easy-thumbnails/easy-thumbnails-2.7.1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Easy thumbnails for Django"
+HOMEPAGE="https://pypi.org/project/easy-thumbnails/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	>=dev-python/django-1.11[${PYTHON_USEDEP}]
+	dev-python/pygments[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		$(python_gen_impl_dep sqlite)
+		${RDEPEND}
+		dev-python/testfixtures[${PYTHON_USEDEP}]
+	)
+"
+
+python_test() {
+	local -x DJANGO_SETTINGS_MODULE=easy_thumbnails.tests.settings
+	local -x PYTHONPATH=.
+	django-admin test -v 2 || die "Tests failed with ${EPYTHON}"
+}


             reply	other threads:[~2020-11-23 17:05 UTC|newest]

Thread overview: 32+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-11-23 17:05 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-13  3:12 [gentoo-commits] repo/gentoo:master commit in: dev-python/easy-thumbnails/ Michał Górny
2024-09-13  3:12 Michał Górny
2024-07-28  5:25 Michał Górny
2023-07-23 15:29 Michał Górny
2023-03-17 15:21 Michał Górny
2023-01-10  6:21 Michał Górny
2022-12-20  8:07 Michał Górny
2022-12-20  8:07 Michał Górny
2022-11-14  4:36 Michał Górny
2022-11-14  4:36 Michał Górny
2022-08-03 17:30 Arthur Zamarin
2022-08-01 11:07 Michał Górny
2022-05-16 13:18 Michał Górny
2022-01-20  6:26 Arthur Zamarin
2021-11-14  8:46 Michał Górny
2021-11-04  6:03 Arthur Zamarin
2021-10-17 21:15 Michał Górny
2021-10-17  7:41 Michał Górny
2021-09-14  5:51 Arthur Zamarin
2021-09-14  5:20 Arthur Zamarin
2021-09-14  5:20 Arthur Zamarin
2020-05-18 11:15 Michał Górny
2020-05-04 10:56 Michał Górny
2020-04-21 20:01 Michał Górny
2020-04-21 20:01 Michał Górny
2019-12-27 18:52 David Seifert
2017-06-14 11:43 Pacho Ramos
2017-05-23 10:43 Slawek Lis
2017-04-26 15:26 Michał Górny
2016-11-29 12:05 Slawek Lis
2015-11-05 13:32 Slawek Lis

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1606151113.e64d16c9b24338c3213f9d55365ed6d46f5584fa.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox